updating kernel.. slmodem doesn't compile

Anything that pertains to Portage

Moderator: Moderators

updating kernel.. slmodem doesn't compile

Postby The Sk » Sat Jun 28, 2008 4:52

Well I was upgrading my Kernel and I got stuck on the Module rebuilding step..

Code: Select all
#  module-rebuild rebuild
module-rebuild rebuild
** Preparing to merge modules:
** Packages which I will emerge are:
        =net-dialup/slmodem-2.9.11_pre20080126-r1
        =sys-kernel/linux-sabayon-2.6.24
        =x11-drivers/ati-drivers-8.471.3-r10
        =x11-drivers/nvidia-drivers-169.12-r10
5 4 3 2 1
>>> Verifying ebuild Manifests...
>>> starting parallel fetching pid 32669

>>> Emerging (1 of 4) net-dialup/slmodem-2.9.11_pre20080126-r1 to /
 * slmodem-2.9.11-20080126.tar.gz RMD160 SHA1 SHA256 size ;-) ...         [ ok ]
 * ungrab-winmodem-2.9.11-20080126.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking slmodem-2.9.11-20080126.tar.gz ;-) ...                        [ ok ]
 * checking ungrab-winmodem-2.9.11-20080126.tar.gz ;-) ...                [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.25-sabayon-r1
 * Checking for suitable kernel configuration options...                  [ ok ]
>>> Unpacking source...
>>> Unpacking slmodem-2.9.11-20080126.tar.gz to /var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work
>>> Unpacking ungrab-winmodem-2.9.11-20080126.tar.gz to /var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work
 * Converting ungrab-winmodem-2.9.11-20080126/Makefile to use M= instead of SUBDIRS= ...                                                                  [ ok ]
 * Applying slmodem-ungrab-winmodem-hp500.patch ...                       [ ok ]
 * Applying slmodem-2.9.11-makefile.patch ...                             [ ok ]
 * Applying slmodem-2.9.11-kernel-2.6.24.patch ...                        [ ok ]
 * Applying slmodem-2.9.11-alsa-period-size.patch ...                     [ ok ]
 * Converting Makefile to use M= instead of SUBDIRS= ...                  [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work/slmodem-2.9.11-20080126 ...
rebuild profile...
modem_main.c: In function ‘setup_stream’:
modem_main.c:429: warning: ‘snd_pcm_sw_params_set_xfer_align’ is deprecated (declared at /usr/include/alsa/pcm.h:1104)
modem_pack.c: In function ‘modem_async_get_bits’:
modem_pack.c:100: warning: pointer targets in passing argument 2 of ‘m->get_chars’ differ in signedness
modem_pack.c: In function ‘modem_async_put_bits’:
modem_pack.c:148: warning: pointer targets in passing argument 2 of ‘m->put_chars’ differ in signedness
modem_ec.c: In function ‘tx_info’:
modem_ec.c:723: warning: pointer targets in passing argument 2 of ‘l->modem->get_chars’ differ in signedness
modem_ec.c: In function ‘push_rest_data’:
modem_ec.c:811: warning: pointer targets in passing argument 2 of ‘l->modem->put_chars’ differ in signedness
modem_ec.c: In function ‘rx_info’:
modem_ec.c:860: warning: pointer targets in passing argument 2 of ‘l->modem->put_chars’ differ in signedness
modem_ec.c: In function ‘modem_ec_init’:
modem_ec.c:1313: warning: ‘f’ may be used uninitialized in this function
modem_ec.c:1313: note: ‘f’ was declared here
 * Preparing ungrab-winmodem module
/var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work/ungrab-winmodem-2.9.11-20080126/ungrab-winmodem.c: In function ‘softmodem_release_init’:
/var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work/ungrab-winmodem-2.9.11-20080126/ungrab-winmodem.c:83: warning: ‘pci_find_device’ is deprecated (declared at include/linux/pci.h:506)
  Building modules, stage 2.
 * Preparing slamr module
/var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work/slmodem-2.9.11-20080126/drivers/amrmo_init.c: In function ‘amrmo_init’:
/var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/work/slmodem-2.9.11-20080126/drivers/amrmo_init.c:756: warning: ‘pci_find_device’ is deprecated (declared at include/linux/pci.h:506)
  Building modules, stage 2.
FATAL: modpost: GPL-incompatible module slusb.ko uses GPL-only symbol 'usb_unlink_urb'
make[3]: *** [__modpost] Error 1
make[2]: *** [modules] Error 2
make[1]: *** [all] Error 2
make: *** [all] Error 2
 *
 * ERROR: net-dialup/slmodem-2.9.11_pre20080126-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3208:  Called linux-mod_src_compile
 *             environment, line 2435:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                      CC=\"$(get-KERNEL_CC)\"                                          LDFLAGS=\"$(get_abi_LDFLAGS)\"                                          ${BUILD_FIXES}         ${BUILD_PARAMS}                                          ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i586-pc-linux-gnu-gcc CC=i586-pc-linux-gnu-gcc LDFLAGS=  KERNEL_DIR=/usr/src/linux all
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/net-dialup:slmodem-2.9.11_pre20080126-r1:20080627-215126.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-dialup/slmodem-2.9.11_pre20080126-r1/temp/environment'.
 *


I know the issues with the GPL.. You can fix it but not tell anyone.. My question is this.. Is emerging this package really necessary? if it isn't i'll just del it off my module list..
The Sk
Young Hen
 
Posts: 30
Joined: Tue Jan 29, 2008 2:10

Re: updating kernel.. slmodem doesn't compile

Postby wolfden » Sat Jun 28, 2008 5:47

do u need it?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: updating kernel.. slmodem doesn't compile

Postby The Sk » Sat Jun 28, 2008 7:45

No not really.. but I was wondering if it was needed to finish the kernel upgrade.. Its my first time Upgrading my Kernel and I'm a bit paranoid.. lol

Just wondering..
The Sk
Young Hen
 
Posts: 30
Joined: Tue Jan 29, 2008 2:10

Re: updating kernel.. slmodem doesn't compile

Postby wolfden » Sat Jun 28, 2008 20:38

if you don't need it, than get rid of it - not going to hurt the kernel.

You build the kernel, once that is done it's done - what u are doing is rebuilding modules to new kernel - most important ones would be your video drivers. For me, I build kernel, reinstall video drivers and reboot and than I can finish any other modules, but I certainly am not going to build modules I don't need.
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests